extends Interactable

onready var door_animation: AnimatedSprite = $AnimatedSprite

func trigger_interaction():
	
	door_animation.play("default")
	yield( door_animation, "animation_finished")
	$StaticBody2D/CollisionShape2D.disabled = true
	# This is something that should maybe be extended for every differant interactible.
	# They could inherit from this base class and implement this function. 
#	sprite.frame = 1
	pass

